MICROCODE_CTL(8)

NAME
microcode_ctl - microcode utility for Intel IA32 processors

SYNOPSIS
microcode_ctl [-h] [-u [-q]] [-Q] [-f microcode]

DESCRIPTION

The microcode_ctl utility is a companion to the IA32 microcode driver written by Tigran Aivazian <tigran@aivazian.fsnet.co.uk>. The utility has two uses:

a) it decodes and sends new microcode to the kernel driver to be uploaded to Intel IA32 processors. (Pentium Pro, PII, Celeron, PIII, Xeon, Pentium 4 etc)

b) it signals the kernel driver to release the buffers containing the copy of microcode data actually applied to given CPU, linear array of 2048 bytes per CPU, see struct microcode in include/asm/processor.h for information on the layout of chunks buffers may hold

The microcode update is volatile and needs to be uploaded on each system boot i.e. it doesn't reflash your cpu permanently, reboot and it reverts back to the old microcode.

-h  display usage and exit

-u  upload microcode (from default filename)

-f  upload microcode from named Intel formatted file

-q  run silently when successful

-Q  run silently even on failure

EXAMPLE

microcode_ctl -u
    Upload microcode using defaults

FILES

/usr/lib/firmware/amd-ucode and /usr/lib/firmware/intel-ucode
    The default microcode location

AUTHOR
Microcode utility written by Simon Trimmer
Linux Kernel driver written by Tigran Aivazian.

REPORTING BUGS
Report bugs to Anton Arapov <anton@redhat.com>

COPYRIGHT
Copyright © 2000 VERITAS Software Copyright © 2012 Red Hat, Inc
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SPECIAL THANKS
Thanks to the Intel Corporation, for supplying microcode update data and publishing the specifications that enabled us to write microcode driver for Linux.

SEE ALSO
The brave are recommended to view the driver source code located in the Linux Kernel source tree in /arch/x86/kernel/{microcode_core.c, microcode_intel.c, microcode_amd.c}

Visit http://fedorahosted.org/microcode_ctl for more information and microcode updates.